## Class TFeedService

Description

TFeedService class

TFeedService provides to end-users feed content.

TFeedService manages a set of feeds. The service parameter, referring to the ID of the feed, specifies which feed content to be provided to end-users.

To use TFeedService, configure it in application configuration as follows,

      <service id="feed" class="System.Web.Services.TFeedService">
        <feed id="ch1" class="Path.To.FeedClass1" .../>
        <feed id="ch2" class="Path.To.FeedClass2" .../>
        <feed id="ch3" class="Path.To.FeedClass3" .../>
      </service>

where each &lt;feed&gt; element specifies a feed identified by its "id" value (case-sensitive). The class attribute indicates which PHP class will provide the actual feed content. Note, the class must implement IFeedContentProvider interface. Other initial properties for the feed class may also be specified in the corresponding &lt;feed&gt; element.

To retrieve the feed content identified by "ch2", use the URL

    /path/to/index.php?feed=ch2

- version: $Id: TService.php 1693 2007-02-13 04:33:05Z xue $
- since: 3.1
- author: Qiang Xue <qiang.xue@gmail.com>
- author: Knut Urdalen <knut.urdalen@gmail.com>

Located in /Web/Services/TFeedService.php (line 44)

    TComponent
       |
       --TApplicationComponent
          |
          --TService
             |
             --TFeedService

Method Summary
string determineRequestedFeedPath ()
void init (TXmlElement $config)
void run ()
Methods
determineRequestedFeedPath (line 67)

- return: the requested feed path
- access: protected

string determineRequestedFeedPath ()
init (line 53)

Initializes this module.

This method is required by the IModule interface.

- access: public

void init (TXmlElement $config)

- TXmlElement $config: configuration for this module, can be null

Redefinition of:

TService::init()
  Initializes the service and attaches run to the RunService event of application.

run (line 76)

Runs the service.

This method is invoked by application automatically.

- access: public

void run ()

Redefinition of:

TService::run()
  Runs the service.

#### Inherited Methods

Inherited From TService

> TService::getEnabled()
> TService::getID()
> TService::init()
> TService::run()
> TService::setEnabled()
> TService::setID()

Inherited From TApplicationComponent

> TApplicationComponent::getApplication()
> TApplicationComponent::getRequest()
> TApplicationComponent::getResponse()
> TApplicationComponent::getService()
> TApplicationComponent::getSession()
> TApplicationComponent::getUser()
> TApplicationComponent::publishAsset()
> TApplicationComponent::publishFilePath()

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:35:02 -0400 by phpDocumentor 1.3.0RC4